<div class="big_topics bor_top round3 FFF hr">
<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 ?>
       
       <div class="wrap_user_r">
       <div class="top_games_small">Заказ выплаты:</div>
<div class="infotext">Для того чтобы вывести денежные средства с проекта вам необходимо в настройках профиля указать номера своих кошельков для вывода, тогда в данном разделе появяться все необходимые платежные системы.<br> Минимальная сумма для вывода:10 рублей.<br> Максимальный срок ожидания выплаты: 48 часов.</div>

<?
$summa = abs($_GET["money"]);

if($config_user['money'] < $summa  or $summa< 0) {


  echo '<div class="error" style="width: 93%; margin: 10px auto; text-align: center;font-weight:bold">На вашем счету недостаточно средств!</div>';

} else {


if($_GET["yan"] == "1"){
$pdo->Query("INSERT INTO `php_vivod` VALUES('', '" . $_SESSION['id'] . "', '".$summa."', '".$config_user['yandex']."', 'Yandex Money')");
$pdo->Query("UPDATE `php_user` SET `money` = `money` - '$summa' WHERE `id` = '" . $_SESSION['id'] . "'");
echo '<div class="success" style="width: 93%; margin: 10px auto; text-align: center;font-weight:bold">Заявка создана!</div>';
?><script>  setTimeout( "location='/profile';", 2000 ); </script><?
}
if($_GET["pay"] == "2"){
$pdo->Query("INSERT INTO `php_vivod` VALUES('', '" . $_SESSION['id'] . "', '".$summa."', '".$config_user['payeer']."', 'Payeer')");
$pdo->Query("UPDATE `php_user` SET `money` = `money` - '$summa' WHERE `id` = '" . $_SESSION['id'] . "'");
echo '<div class="success" style="width: 93%; margin: 10px auto; text-align: center;font-weight:bold">Заявка создана!</div>';
?><script>  setTimeout( "location='/profile';", 2000 ); </script><?
}
if($_GET["qiw"] == "4"){
$pdo->Query("INSERT INTO `php_vivod` VALUES('', '" . $_SESSION['id'] . "', '".$summa."', '".$config_user['qiwi']."', 'Qiwi Wallet')");
$pdo->Query("UPDATE `php_user` SET `money` = `money` - '$summa' WHERE `id` = '" . $_SESSION['id'] . "'");
echo '<div class="success" style="width: 93%; margin: 10px auto; text-align: center;font-weight:bold">Заявка создана!</div>';
?><script>  setTimeout( "location='/profile';", 2000 ); </script><?
}



//поиск в заказах
$proverka_zakaz = mysql_query( "SELECT id FROM php_vivod WHERE user = '" . $_SESSION['id'] . "' LIMIT 1" );

if ( mysql_num_rows( $proverka_zakaz ) > 0 ) {
        echo '<div class="success" style="width: 93%; margin: 10px auto; text-align: center;font-weight:bold">Ожидайте обработки заявки.</div>';
} else {

?>
       <form method="GET" action="<?=ROOT?>/vivod">
       <div class="padd10"></div><input type="text" name="money" class="i round3" placeholder="Укажите сумму и способ выплаты" style="margin-left:10px; text-align:center;"/>
       <div class="padd5"></div>
       <?if($config_user['yandex'] == ''){ }else{?><input type="submit" name="yan" value="1" class='yandex' /><?}?>
       <?if($config_user['payeer'] == ''){ }else{?><input type="submit" name="pay" value="2" class='payeer' /><?}?>
       <?if($config_user['qiwi'] == ''){ }else{?><input type="submit" name="qiw" value="4" class='qiwi' /><?}?>
       </form>




<?}
}

}?>
</div></div>